Subject: Re: bug#9158: 24.0.50; Regression in e-mail heade completion

From: Ivan Kanis <[email-masked]>
Date: Thu, 03 Nov 2011 11:05:06 +0100

Stefan Monnier <[email-masked]> wrote:

>>>> I get the message "completion for "foo" unfound" which is fine. The bug
>>>> is that the cursor moves forward several spaces.  Apparently
>>>> indent-relative gets called when it shouldn't.
>>>> I expected the cursor to remain at the end of the entry that did not
>>>> match.  It worked fine on 23.3.
>>> The way the new code works can't handle this correctly because the BBDB
>>> code doesn't indicate that something happened: it just always returns nil
>>> whether something was done or not.
>>> The new BBDB-3 has fixed this, AFAIK, so you may want to try that out.
>> I have just installed bbdb 3.  It doesn't fix it.  I'll reopen the bug
>> because it's a regression.
>
> After looking into it some more, I realized that it's actually behaving
> as designed, but not as documented in the docstring.

I see you've commited the patch in bzr. It works, thanks!
-- 
Ivan Kanis
http://kanis.fr

What we obtain too cheap, we esteem too lightly. It is dearness only
that gives everything its value.
    -- Thomas Paine